SimpleRichObjectBuilder (BioJava-1.5-beta API)
Keywords: org.biojavax.SimpleRichObjectBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax
Class SimpleRichObjectBuilder

    java.lang.Object
      org.biojavax.SimpleRichObjectBuilder

All Implemented Interfaces:
  RichObjectBuilder

    public class SimpleRichObjectBuilder

extends Object
implements RichObjectBuilder

Creates objects and returns them, and stores them in an internal map of singletons for reference. Takes up a lot of memory!

Since:
  1.5
Author:
  Richard Holland

Constructor Summary
`SimpleRichObjectBuilder()`

Method Summary
`Object` | `buildObject(Class clazz, List paramsList)` This method takes a class name and some parameters, and uses that information to construct and return an equivalent object, usually by calling the constructor on the class with the supplied parameters. Instantiates and returns objects, that's all there is to it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRichObjectBuilder

    public SimpleRichObjectBuilder()

Method Detail

### buildObject

    public Object buildObject(Class clazz,
                              List paramsList)

  This method takes a class name and some parameters, and uses that information to construct and return an equivalent object, usually by calling the constructor on the class with the supplied parameters. Note that it only works with classes whose constructors take only Objects, and not primitives. It should return singletons. Instantiates and returns objects, that's all there is to it.

  Specified by:
    `buildObject` in interface `RichObjectBuilder`
  Parameters:
    `clazz` - the class to instantiate and build
    `paramsList` - the parameters to pass to the constructor
  Returns:
    an instance of the requested class/params combination. May or may not be a singleton, but usually will be given as that is the purpose of this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD